API
Wikidata API
Wikidata è un database di conoscenza mantenuto in modo collaborativo con oltre 121 milioni di elementi che coprono persone, organizzazioni, luoghi, opere e concetti. È importante per la risoluzione delle entità, grafici di conoscenza, arricchimento della ricerca e ricerca strutturata.
API Reference Version: 1.0.0 10 Endpoints Authentication
Base URL
https://api.pressmonitor.com Authentication
All requests use Bearer token authentication.
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/suggest-entities Suggerisci entità
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query_text | string | query | Yes | Testo della query |
| lang | string | query | No | Lingua |
| limit | string | query | No | Limite |
| offset | string | query | No | Offset |
Code Examples
curl -X GET "https://api.pressmonitor.com/suggest-entities?query_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Successo
GET
/search/by-label Cerca entità per etichetta
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query_text | string | query | Yes | Testo della query |
| lang | string | query | No | Lingua |
| limit | string | query | No | Limite |
| offset | string | query | No | Offset |
Code Examples
curl -X GET "https://api.pressmonitor.com/search/by-label?query_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Successo
GET
/search/by-description Cerca entità per descrizione
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query_text | string | query | Yes | Testo della query |
| lang | string | query | No | Lingua |
| limit | string | query | No | Limite |
| offset | string | query | No | Offset |
Code Examples
curl -X GET "https://api.pressmonitor.com/search/by-description?query_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Successo
GET
/search/by-type Cerca entità per tipo
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| type | string | query | Yes | Tipo |
| query_text | string | query | No | Testo della query |
| lang | string | query | No | Lingua |
| limit | string | query | No | Limite |
| offset | string | query | No | Offset |
Code Examples
curl -X GET "https://api.pressmonitor.com/search/by-type?type=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Successo
GET
/search/by-claim Cerca entità per valore della prova
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| property | string | query | Yes | Proprietà |
| value | string | query | No | Valore |
| mode | string | query | No | Modalità |
| lang | string | query | No | Lingua |
| limit | string | query | No | Limite |
| offset | string | query | No | Offset |
Code Examples
curl -X GET "https://api.pressmonitor.com/search/by-claim?property=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Successo
GET
/find/by-property Cerca entità per proprietà
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| property | string | query | Yes | Proprietà |
| value | string | query | No | Valore |
| qualifier | string | query | No | Qualificatore |
| rank | string | query | No | Rango |
| lang | string | query | No | Lingua |
| limit | string | query | No | Limite |
| offset | string | query | No | Offset |
Code Examples
curl -X GET "https://api.pressmonitor.com/find/by-property?property=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Successo
GET
/search/temporal Cerca entità per intervallo di date
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| property | string | query | Yes | Proprietà |
| from | string | query | No | Da |
| to | string | query | No | A |
| value | string | query | No | Valore |
| lang | string | query | No | Lingua |
| limit | string | query | No | Limite |
| offset | string | query | No | Offset |
Code Examples
curl -X GET "https://api.pressmonitor.com/search/temporal?property=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Successo
GET
/entities/$0 Ottieni entità per ID
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| wikidata_id | string | query | Yes | Id Wikidata |
| lang | string | query | No | Lingua |
Code Examples
curl -X GET "https://api.pressmonitor.com/entities/$0?wikidata_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Successo
GET
/entities/$0/claims Ottieni prove dell'entità
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| wikidata_id | string | query | Yes | Id Wikidata |
| lang | string | query | No | Lingua |
| limit | string | query | No | Limite |
| offset | string | query | No | Offset |
Code Examples
curl -X GET "https://api.pressmonitor.com/entities/$0/claims?wikidata_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Successo
GET
/properties Ottieni proprietà
Code Examples
curl -X GET "https://api.pressmonitor.com/properties" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Successo